curl -X DELETE "https://nunu.ai/api/v1/project/your-project-id/test-plans/b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
-H "X-Api-Key: YOUR_API_TOKEN"
{ "id": "b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c", "deleted": true }
Test Plans
Delete Test Plan
Delete a test plan.
DELETE
/
project
/
{projectId}
/
test-plans
/
{testPlanId}
curl -X DELETE "https://nunu.ai/api/v1/project/your-project-id/test-plans/b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
-H "X-Api-Key: YOUR_API_TOKEN"
{ "id": "b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c", "deleted": true }
Permission Required:
project:edit-testsPath Parameters
string
required
The test plan ID (UUID)
Response
string
required
ID of the deleted test plan (echoes the path param)
boolean
required
Always
true on successcurl -X DELETE "https://nunu.ai/api/v1/project/your-project-id/test-plans/b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c" \
-H "X-Api-Key: YOUR_API_TOKEN"
{ "id": "b3f1a2c4-5d6e-7f8a-9b0c-1d2e3f4a5b6c", "deleted": true }
Authorizations
API key for authentication
Path Parameters
Test plan ID (UUID)
The project ID. You can copy it from the project settings page or the project URL in the dashboard.